Create order
Creates a new order with order lines, addresses, and payment information. Validates that all products and variants exist. Publishes an order created event.
POST
/api/v1/{team_slug}/{app_slug}/ordersAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
Request body
requiredapplication/jsonOrder data
billing_addressinternal_pkg_webserver_v1.InputOrderAddressShow propertiesHide properties
citystringcountry_codestringemailstringfamily_namestringgiven_namestringpostal_codestringstate_or_provincestringstreet_addressstringstreet_address_2stringtelephone_numberstringbonus_totalnumbermin 0
country_codestringrequiredcurrency_codestringrequireddiscount_totalnumbermin 0
gift_card_totalnumbermin 0
grand_totalnumberrequiredmin 0
language_codestringrequiredlinesinternal_pkg_webserver_v1.InputOrderLine[]requiredmin items 1
Show propertiesHide properties
Array of
internal_pkg_webserver_v1.InputOrderLinebase_price_amountnumberrequiredmin 0
currency_codestringrequiredproduct_idstringrequiredquantityintegerrequiredmin 1
tax_group_idstringtotal_discount_amountnumbermin 0
total_price_amountnumberrequiredmin 0
total_tax_amountnumbermin 0
variant_idstringrequiredmerchant_user_idstringpayment_methodstringpayment_method_idstringpayment_method_namestringreferencestringrequiredsession_idstringshipping_addressinternal_pkg_webserver_v1.InputOrderAddressShow propertiesHide properties
citystringcountry_codestringemailstringfamily_namestringgiven_namestringpostal_codestringstate_or_provincestringstreet_addressstringstreet_address_2stringtelephone_numberstringshipping_methodsstring[]shipping_totalnumbermin 0
sourcestringrequiredstatusstringrequiredAllowed:
placedrefundedcompensatedreleaseddeliveredcancelledsub_totalnumbermin 0
tax_totalnumbermin 0
Responses
201
Order created successfully
datainternal_pkg_webserver_v1.OrderResponserequiredShow propertiesHide properties
billing_addressinternal_pkg_webserver_v1.OrderAddressResponse | nullShow propertiesHide properties
Any of:
internal_pkg_webserver_v1.OrderAddressResponse
address_typestringcitystring | nullcountry_codestring | nullcreated_atstringemailstring | nullfamily_namestring | nullgiven_namestring | nullidstringpostal_codestring | nullstate_or_provincestring | nullstreet_addressstring | nullstreet_address_2string | nulltelephone_numberstring | nullupdated_atstring | nullnull
nullbonus_totalnumber | nullcountry_codestring | nullcreated_atstringcurrency_codestring | nulldiscount_totalnumber | nulldiscountsinternal_pkg_webserver_v1.OrderDiscountResponse[] | nullShow propertiesHide properties
Array of
internal_pkg_webserver_v1.OrderDiscountResponsecreated_atstringdiscount_idstringidstringnamestringorder_idstringupdated_atstring | nullgift_card_totalnumber | nullgrand_totalnumber | nullidstringlanguage_codestring | nullmerchant_userinternal_pkg_webserver_v1.MerchantUserSummaryResponse | nullShow propertiesHide properties
Any of:
internal_pkg_webserver_v1.MerchantUserSummaryResponse
emailstringidstringnamestringsurnamestringnull
nullorder_linesinternal_pkg_webserver_v1.OrderLineResponse[] | nullShow propertiesHide properties
Array of
internal_pkg_webserver_v1.OrderLineResponsebase_price_amountnumber | nullcreated_atstringcurrency_codestring | nullfirst_image_pathstringidstringorder_idstringproduct_idstring | nullproduct_namestringproduct_numberstringquantityinteger | nullshort_descriptionstringtax_group_idstring | nulltotal_discount_amountnumber | nulltotal_price_amountnumber | nulltotal_sale_pricenumber | nulltotal_tax_amountnumber | nullupdated_atstring | nullvariant_idstring | nullvariant_namestringvariant_numberstringorder_tracking_referencestring | nullpayment_methodstring | nullpayment_method_idstring | nullpayment_method_namestring | nullreferencestring | nullsession_idstring | nullshipping_addressinternal_pkg_webserver_v1.OrderAddressResponse | nullShow propertiesHide properties
Any of:
internal_pkg_webserver_v1.OrderAddressResponse
address_typestringcitystring | nullcountry_codestring | nullcreated_atstringemailstring | nullfamily_namestring | nullgiven_namestring | nullidstringpostal_codestring | nullstate_or_provincestring | nullstreet_addressstring | nullstreet_address_2string | nulltelephone_numberstring | nullupdated_atstring | nullnull
nullshipping_methodsstring[] | nullshipping_totalnumber | nullsourcestringsub_totalnumber | nulltax_totalnumber | nullupdated_atstring | nulluser_contentinternal_pkg_webserver_v1.OrderUserContent[] | nullShow propertiesHide properties
Array of
internal_pkg_webserver_v1.OrderUserContentcontent_typestringfilenamestringidstringurlstringdetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request (validation error, product/variant not found)
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired